bzcompress
bzerrno
Bzip2 Functions
PHP Manual

# bzdecompress

(PHP 4 >= 4.0.4, PHP 5)

bzdecompress — Decompresses bzip2 encoded data

### Description

mixed bzdecompress ( string `$source` [, int `$small` = 0 ] )

bzdecompress() decompresses the given string containing bzip2 encoded data.

### Parameters

`source`

  The string to decompress.

`small`

  If `TRUE`, an alternative decompression algorithm will be used which uses less memory (the maximum memory requirement drops to around 2300K) but works at roughly half the speed.

  See the » bzip2 documentation for more information about this feature.

### Return Values

The decompressed string or number of error in case of error.

### Examples

Example #1 Decompressing a String

`<?php
$start_str = "This is not an honest face?";
$bzstr = bzcompress($start_str);
echo "Compressed String: ";
echo $bzstr;
echo "\n<br />\n";
$str = bzdecompress($bzstr);
echo "Decompressed String: ";
echo $str;
echo "\n<br />\n";
?>`

### See Also

- bzcompress() - Compress a string into bzip2 encoded data

bzcompress
bzerrno
Bzip2 Functions
PHP Manual